Package com.macrofocus.high_d.tablelens

# Class AbstractTableLensView<Component,Color,Row,Column>

java.lang.Object
com.macrofocus.high_d.tablelens.AbstractTableLensView<Component,Color,Row,Column>

All Implemented Interfaces:
  `com.macrofocus.crossplatform.CPComponent<Component>`, `com.macrofocus.crossplatform.CPInteractiveComponent<Component>`, `TableLensView<Component,Color,Row,Column>`

Direct Known Subclasses:
  `JavaFXTableLensView`

public abstract class AbstractTableLensView<Component,Color,Row,Column> extends Object implements TableLensView<Component,Color,Row,Column>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.macrofocus.high_d.tablelens.TableLensView

  `TableLensView.PropertyType`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final OrderListener`
  `orderListener`
  `protected final MutableProperties<TableLensView.PropertyType>`
  `properties`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AbstractTableLensView(com.macrofocus.igraphics.CPColorFactory<Color> factory)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected abstract void`
  `createOverplots()`
  `MutableProperty<Boolean>`
  `getAntialiasing()`
  `MutableProperty<com.macrofocus.igraphics.colortheme.ColorTheme<Color>>`
  `getColorTheme()`
  Returns the color theme to use.
  `MutableProperty<Integer>`
  `getColumnSize()`
  `MutableProperty<com.macrofocus.crossplatform.CPCanvas.Rendering>`
  `getRendering()`
  `MutableProperty<Integer>`
  `getRowSize()`
  `com.macrofocus.rubberband.RubberBand`
  `getRubberBand()`
  `Property<Boolean>`
  `getShowFiltered()`
  `boolean`
  `isShowTiming()`
  Returns whether information about refresh rate should be displayed.
  `protected abstract void`
  `refresh()`
  `void`
  `setAntialiasing(MutableProperty<Boolean> antialiasing)`
  `void`
  `setColorTheme(MutableProperty<com.macrofocus.igraphics.colortheme.ColorTheme<Color>> colorTheme)`
  Sets the color theme to use.
  `void`
  `setRendering(MutableProperty<com.macrofocus.crossplatform.CPCanvas.Rendering> rendering)`
  `void`
  `setShowFiltered(MutableProperty<Boolean> showFiltered)`
  `void`
  `setShowTiming(boolean showTiming)`
  Sets whether information about refresh rate should be displayed.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.macrofocus.crossplatform.CPComponent

  `setStyleClass`

  ### Methods inherited from interface com.macrofocus.crossplatform.CPInteractiveComponent

  `addMouseListener, addMouseMotionListener, removeMouseListener, removeMouseMotionListener`

  ### Methods inherited from interface com.macrofocus.high_d.tablelens.TableLensView

  `getClosestRow, getHeight, getModel, getNativeComponent, getRows, getWidth, isSelectionMode, setLicenseModel, setModel, setSelectionMode`

- ## Field Details

  - ### properties

    protected final MutableProperties<TableLensView.PropertyType> properties

  - ### orderListener

    protected final OrderListener orderListener

- ## Constructor Details

  - ### AbstractTableLensView

    protected AbstractTableLensView(com.macrofocus.igraphics.CPColorFactory<Color> factory)

- ## Method Details

  - ### getColorTheme

    public MutableProperty<com.macrofocus.igraphics.colortheme.ColorTheme<Color>> getColorTheme()
    Description copied from interface: `TableLensView`
    Returns the color theme to use.
    Specified by:
      `getColorTheme` in interface `TableLensView<Component,Color,Row,Column>`
    Returns:
      the color theme

  - ### setColorTheme

    public void setColorTheme(MutableProperty<com.macrofocus.igraphics.colortheme.ColorTheme<Color>> colorTheme)
    Description copied from interface: `TableLensView`
    Sets the color theme to use.
    Specified by:
      `setColorTheme` in interface `TableLensView<Component,Color,Row,Column>`
    Parameters:
      `colorTheme` - the color theme to use

  - ### isShowTiming

    public boolean isShowTiming()
    Description copied from interface: `TableLensView`
    Returns whether information about refresh rate should be displayed.
    Specified by:
      `isShowTiming` in interface `TableLensView<Component,Color,Row,Column>`
    Returns:
      true to display refresh rate information, false otherwise

  - ### setShowTiming

    public void setShowTiming(boolean showTiming)
    Description copied from interface: `TableLensView`
    Sets whether information about refresh rate should be displayed.
    Specified by:
      `setShowTiming` in interface `TableLensView<Component,Color,Row,Column>`
    Parameters:
      `showTiming` - true to display refresh rate information, false otherwise

  - ### getShowFiltered

    public Property<Boolean> getShowFiltered()
    Specified by:
      `getShowFiltered` in interface `TableLensView<Component,Color,Row,Column>`

  - ### setShowFiltered

    public void setShowFiltered(MutableProperty<Boolean> showFiltered)
    Specified by:
      `setShowFiltered` in interface `TableLensView<Component,Color,Row,Column>`

  - ### getAntialiasing

    public MutableProperty<Boolean> getAntialiasing()
    Specified by:
      `getAntialiasing` in interface `TableLensView<Component,Color,Row,Column>`

  - ### setAntialiasing

    public void setAntialiasing(MutableProperty<Boolean> antialiasing)
    Specified by:
      `setAntialiasing` in interface `TableLensView<Component,Color,Row,Column>`

  - ### getRendering

    public MutableProperty<com.macrofocus.crossplatform.CPCanvas.Rendering> getRendering()
    Specified by:
      `getRendering` in interface `TableLensView<Component,Color,Row,Column>`

  - ### setRendering

    public void setRendering(MutableProperty<com.macrofocus.crossplatform.CPCanvas.Rendering> rendering)
    Specified by:
      `setRendering` in interface `TableLensView<Component,Color,Row,Column>`

  - ### getColumnSize

    public MutableProperty<Integer> getColumnSize()
    Specified by:
      `getColumnSize` in interface `TableLensView<Component,Color,Row,Column>`

  - ### getRowSize

    public MutableProperty<Integer> getRowSize()
    Specified by:
      `getRowSize` in interface `TableLensView<Component,Color,Row,Column>`

  - ### createOverplots

    protected abstract void createOverplots()

  - ### refresh

    protected abstract void refresh()

  - ### getRubberBand

    public com.macrofocus.rubberband.RubberBand getRubberBand()
    Specified by:
      `getRubberBand` in interface `TableLensView<Component,Color,Row,Column>`